#include <LiquidCrystal.h> //Подключим библиотеку для дисплея.
//Покажем, к каким выводам мы подключили дисплей
LiquidCrystal lcd(13, 12, 11, 10, 9 ,8);  

#define POT A5
#define LED 7
void setup() 
{
  lcd.begin(16, 2); //Сообщаем кол-во строк и столбцов.
  lcd.print ("Command's name:"); //В первую строку выводим сообщение.
  pinMode(LED, OUTPUT);

}

void loop() {
  int val = analogRead(POT);
  val = map(val, 0, 1023, 0, 4);

  //Ставим курсор на 1 строку, колонку 0.
  //Это соответствует левому квадрату 2-й строки.
  lcd.setCursor(0, 1); 

  //Выводим сообщения параллельно с выполнением задач.
  if( val == 1)
  {
  //Если не поставить пробелы, полседняя буква f при переключении потенциометра не будет стираться.
    lcd.print ("Led on   ");
    digitalWrite(LED, HIGH);
  }
  else if(val == 2)
  {
    lcd.print ("Led off");
    digitalWrite(LED, LOW);
  }
  else if(val ==3)
  {
    lcd.print ("Blink   ");
    for( int i = 0; i < 3; i++)
    {
      digitalWrite(LED, HIGH);
      delay(600);
      digitalWrite(LED, LOW);
      delay(600);
    }
  }
}
